import { component, h } from 'rocky7';
import { EditorView, basicSetup } from 'codemirror';
import { javascript } from '@codemirror/lang-javascript';

function styleInject(css, ref) {
  if ( ref === void 0 ) ref = {};
  var insertAt = ref.insertAt;

  if (!css || typeof document === 'undefined') { return; }

  var head = document.head || document.getElementsByTagName('head')[0];
  var style = document.createElement('style');
  style.type = 'text/css';

  if (insertAt === 'top') {
    if (head.firstChild) {
      head.insertBefore(style, head.firstChild);
    } else {
      head.appendChild(style);
    }
  } else {
    head.appendChild(style);
  }

  if (style.styleSheet) {
    style.styleSheet.cssText = css;
  } else {
    style.appendChild(document.createTextNode(css));
  }
}

var css_248z = ".Layout-module_container__nOaUb {\n  position: absolute;\n  width: 100%;\n  height: 100%;\n  overflow: auto;\n}\n.Layout-module_container__nOaUb > div {\n  height: 100%;\n}";
var styles = {"container":"Layout-module_container__nOaUb"};
styleInject(css_248z);

/** @jsx h **/
const setupCodemirror = (el) => {
    new EditorView({
        extensions: [basicSetup, javascript()],
        parent: el,
    });
};
const Layout = component("Layout", (props, utils) => {
    return (h("div", { ref: (el) => {
            setupCodemirror(el);
        }, class: styles.container }));
});

/** @jsx h **/
const Application = component("Bodhi", (props, utils) => {
    return (h("div", null,
        h(Layout, null)));
});

export { Application };
